ChangeSet 1.738.5.30, 2002/10/13 15:07:46-07:00, greg@kroah.com

USB: visor.c: changed USB_DT_DEVICE to USB_RECIP_INTERFACE, as that's the proper #define to use.

Thanks to David Brownell for pointing this out to me.


diff -Nru a/drivers/usb/serial/visor.c b/drivers/usb/serial/visor.c
--- a/drivers/usb/serial/visor.c	Sun Oct 13 17:08:17 2002
+++ b/drivers/usb/serial/visor.c	Sun Oct 13 17:08:17 2002
@@ -669,7 +669,7 @@
 	/* get the interface number */
 	result = usb_control_msg (serial->dev, usb_rcvctrlpipe(serial->dev, 0),
 				  USB_REQ_GET_INTERFACE, 
-				  USB_DIR_IN | USB_DT_DEVICE,
+				  USB_DIR_IN | USB_RECIP_INTERFACE,
 				  0, 0, &data, 1, HZ * 3);
 	if (result < 0) {
 		err("%s: get interface number failed: %d", __FUNCTION__, result);
